1. student
new-brevet
  • auth
    • register
      POST
    • login
      POST
    • verification
      POST
    • resend verification
      POST
    • refresh token
      POST
    • logout
      DELETE
  • upload
    • upload documents
      POST
    • delete file
      DELETE
    • upload image
      POST
  • user
    • get all user
      GET
    • me
      GET
    • update my profile
      PUT
    • update user
      PUT
    • create user
      POST
    • delete user
      DELETE
  • blog
    • get all blogs
      GET
    • get blog by slug
      GET
    • update blog
      PUT
    • create blog
      POST
    • delete blog
      DELETE
  • batch
    • get batch by slug
    • get all batch
    • get quota remaining
    • get all batch by course slug
    • Get All purchases Copy
    • Get All students
    • delete batch
    • create batch
    • update batch
  • group
    • get all group
    • get group by id
  • course
    • get all course
    • get course by slug
    • create course
    • update course
    • update course Copy
  • testimonial
    • get all testimonial by batch slug
    • get all testimonial
    • get testimonial by id
    • create testimonial
    • update testimonial
    • delete testimonial
  • purchase
    • Get All purchases
    • Get purchase by id
    • update status payment
  • me
    • Get All purchases Copy
    • Get all upcoming assignments
    • Get all upcoming quiz
    • Get purchase by id Copy
    • me
    • Get All score by batch id
    • Get My batch
    • generate my certificate by batch id
    • Get My certificate by batch id
    • Get progress by batch id
    • create purchase
    • cancel payment
    • upload payment
    • update my profile Copy
  • meeting
    • Get All Meetings
    • Get All meetings by batch slug
    • Get meeting by id
    • Get All teachers by meeting id
    • create meeting
    • update meeting
    • Delete meeting
    • assign teacher
    • update assign teacher (replace all)
    • unassign teacher from meeting
  • assignments
    • Get All Assignments
    • Get Assignment by id
    • Get All Assignments by meeting id
    • create assignment
    • update assignment
    • delete assignment
  • materials
    • Get All Materials
    • Get Material by id
    • Get All Materials by meeting id
    • create material
    • update material
    • delete material
  • attendance
    • Get All Attendances
    • Get All Attendances by batch slug
    • Get Attendance by ID
    • create attendance
  • certificate
    • Get certificate by cert id (admin, guru)
    • Get certificate for public (check if asli) Copy
    • Get certificate by batch id (admin, guru)
    • Get certificate by number for public
  • quiz
    • Get quiz by id
    • Get attempt active
    • get list of attempt in quiz
    • Get question by quiz id
    • get quiz by meeting id
    • Get attempt
    • Get attempt result
    • create quiz
    • update quiz
    • delete quiz
    • upload soal
    • start attempt quiz
    • submit attempt quiz
    • temporer submit
  • submission
    • Get detail submission
    • Get All Submissions by assigment id
    • Get submission grade
    • Get template excel grading
    • create submission
    • Grading with excel
    • grade submission
    • update submission
    • delete submission
  • score
    • get score by batch slug and student id
  • dashboard
    • admin
      • Get dashboard admin
      • Get revenue chart
      • Get pending payment
      • Get batch progress
      • Get teacher workload
      • Get certificate stats
      • Get recent activities
    • teacher
      • Get dashboard Teacher
    • student
      • Get dashboard student
        GET
      • Get dashboard Score
        GET
  1. student

Get dashboard Score

Developing
GET
{{url}}/api/v1/dashboard/student/score-progress

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '{{url}}/api/v1/dashboard/student/score-progress?batch_slug=ini-gelombang-1' \
--header 'Authorization: Bearer {{token}}'
Response Response Example
Success
{
    "data": {
        "total_courses": 4,
        "active_courses": 0,
        "active_students": 6,
        "ongoing_tasks": 0,
        "pending_grading": 3,
        "total_upcoming": 0,
        "upcoming_schedules": []
    },
    "message": "Dashboard data retrieved successfully",
    "success": true
}
Modified at 2025-12-15 09:40:01
Previous
Get dashboard student
Built with